[A,B,C,D,x0,states,inputs,outputs]=power_analyze('SimpleCircuit');
%获取系统状态方程、初始状态、输入输出等信息
root = eig(A)                        %获取系统特征根
freq=1:1000                          %观察频率范围1—1000Hz
w=2*pi*freq                          %转换为弧度表示
[mag,phase]=bode(A,B,C,D,1,w);       %获取系统伯德图
subplot(2,1,1)
loglog(freq,mag(:,2));               %用对数坐标绘制幅度图形
subplot(2,1,1)
semilogx(freq,phase(:,2));           %用半对数坐标绘制相位图形
IL=100*sqrt(2)*mag(50,2)
ang=phase(50,2)


